using EntityFrameworkCore.Projectables;
using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Domain.Models;

[Comment("̨ - ϵͳ˻ɫϵ")]
[Table("User")]
public class UserRole : BaseFullAuditEntity
{
    #region 

    [ForeignKey("IdentityUserId")]
    [JsonIgnore]
    public IdentityUser IdentityUser { get; set; }

    [JsonIgnore]

    [ForeignKey("UserTypeId")]
    public UserType UserTypeRole { get; set; }


    [JsonIgnore]
    public List<TrialUserRole> UserRoleTrials { get; set; } = new List<TrialUserRole>();

    [JsonIgnore]
    public List<VisitTask> VisitTaskList { get; set; }

    [Projectable]
    public string FullName => LastName + " / " + FirstName;

    #endregion

    public string UserName { get; set; }
    public string EMail { get; set; }
    public string FirstName { get; set; }

    public string LastName { get; set; }


    [Comment("Զлһ")]
    public bool AutoCutNextTask { get; set; }



    [Comment("ҽ˺ź󣬻ֵ")]
    public Guid? DoctorId { get; set; }

    public UserTypeEnum UserTypeEnum { get; set; }

    public Guid UserTypeId { get; set; }

    #region ֶ

    public Guid IdentityUserId { get; set; }

    public bool IsUserRoleDisabled { get; set; }

    #endregion
}

[Comment("̨ - ϵͳʵ˻")]
[Table("IdentityUser")]
public class IdentityUser : BaseFullAuditEntity
{
    [JsonIgnore]

    public Trial Trial { get; set; }

    [JsonIgnore]
    public List<TrialIdentityUser> UserTrialList { get; set; }

    [JsonIgnore]
    public List<UserRole> UserRoleList { get; set; } = new List<UserRole>();

    [JsonIgnore]
    public List<SystemDocConfirmedIdentityUser> SystemDocConfirmedList { get; set; }

    [Projectable]
    public string FullName => LastName + " / " + FirstName;

    #region ûϢ

    public int Code { get; set; }
    public string UserCode { get; set; }
    public string UserName { get; set; }
    public string EMail { get; set; }

    [StringLength(1000)]
    public string EmailToken { get; set; }

    public string FirstName { get; set; }

    public string LastName { get; set; }

    public string Password { get; set; }

    public bool PasswordChanged { get; set; }

    public string Phone { get; set; }

    public int? Sex { get; set; }

    public UserStateEnum Status { get; set; } = UserStateEnum.Enable;


    public string OrganizationName { get; set; }


    public string PositionName { get; set; }

    [Comment("ֶηϳûɫ棬ɾ")]
    public bool AutoCutNextTask { get; set; }

    public string DepartmentName { get; set; }

    [Comment("״ε¼Ҫ޸")]
    public bool IsFirstAdd { get; set; } = true;

    public bool IsTestUser { get; set; }

    [Comment("ڲû  ⲿû")]
    public bool IsZhiZhun { get; set; }

    [Comment("һ޸ʱ")]
    public DateTime? LastChangePassWordTime { get; set; }

    public string LastLoginIP { get; set; }

    public DateTime? LastLoginTime { get; set; }


    #endregion

    #region ûԴ

    public UserCeateSource UserCeateSource { get; set; }

    public Guid? TrialId { get; set; }

    #endregion
}

public enum UserCeateSource
{
    None = 0,

    AdminCreate = 1,

    SiteSruvey = 2,

    ReviewerSelect = 3,

    External=4

}