﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class clidata : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AlterColumn<decimal>(
                name: "VisitTaskNum",
                table: "VisitTask",
                type: "decimal(18,2)",
                precision: 18,
                scale: 2,
                nullable: false,
                comment: "随访任务号   取访视的号  计划外是 访视+0.1   裁判任务在访视任务上+0.02   全局任务在截止访视号上+0.03   肿瘤0.06",
                oldClrType: typeof(decimal),
                oldType: "decimal(18,2)",
                oldPrecision: 18,
                oldScale: 2,
                oldComment: "随访任务号   取访视的号  计划外是 访视+0.1   裁判任务在访视任务上+0.002   全局任务在截止访视号上+0.03   肿瘤待定");

            migrationBuilder.AlterColumn<Guid>(
                name: "UserId",
                table: "TrialUser",
                type: "uniqueidentifier",
                nullable: false,
                comment: "这里实际是UserRoleId",
                oldClrType: typeof(Guid),
                oldType: "uniqueidentifier");

            migrationBuilder.AddColumn<string>(
                name: "EnFileName",
                table: "ClinicalDataTrialSet",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "EnPath",
                table: "ClinicalDataTrialSet",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "EnFileName",
                table: "ClinicalDataSystemSet",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "EnPath",
                table: "ClinicalDataSystemSet",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "EnFileName",
                table: "ClinicalDataTrialSet");

            migrationBuilder.DropColumn(
                name: "EnPath",
                table: "ClinicalDataTrialSet");

            migrationBuilder.DropColumn(
                name: "EnFileName",
                table: "ClinicalDataSystemSet");

            migrationBuilder.DropColumn(
                name: "EnPath",
                table: "ClinicalDataSystemSet");

            migrationBuilder.AlterColumn<decimal>(
                name: "VisitTaskNum",
                table: "VisitTask",
                type: "decimal(18,2)",
                precision: 18,
                scale: 2,
                nullable: false,
                comment: "随访任务号   取访视的号  计划外是 访视+0.1   裁判任务在访视任务上+0.002   全局任务在截止访视号上+0.03   肿瘤待定",
                oldClrType: typeof(decimal),
                oldType: "decimal(18,2)",
                oldPrecision: 18,
                oldScale: 2,
                oldComment: "随访任务号   取访视的号  计划外是 访视+0.1   裁判任务在访视任务上+0.02   全局任务在截止访视号上+0.03   肿瘤0.06");

            migrationBuilder.AlterColumn<Guid>(
                name: "UserId",
                table: "TrialUser",
                type: "uniqueidentifier",
                nullable: false,
                oldClrType: typeof(Guid),
                oldType: "uniqueidentifier",
                oldComment: "这里实际是UserRoleId");
        }
    }
}
