﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class trialdocRecord : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Code",
                table: "User");

            migrationBuilder.DropColumn(
                name: "DepartmentName",
                table: "User");

            migrationBuilder.DropColumn(
                name: "EmailToken",
                table: "User");

            migrationBuilder.DropColumn(
                name: "IsFirstAdd",
                table: "User");

            migrationBuilder.DropColumn(
                name: "IsTestUser",
                table: "User");

            migrationBuilder.DropColumn(
                name: "IsZhiZhun",
                table: "User");

            migrationBuilder.DropColumn(
                name: "LastChangePassWordTime",
                table: "User");

            migrationBuilder.DropColumn(
                name: "LastLoginIP",
                table: "User");

            migrationBuilder.DropColumn(
                name: "LastLoginTime",
                table: "User");

            migrationBuilder.DropColumn(
                name: "OrganizationName",
                table: "User");

            migrationBuilder.DropColumn(
                name: "Password",
                table: "User");

            migrationBuilder.DropColumn(
                name: "PasswordChanged",
                table: "User");

            migrationBuilder.DropColumn(
                name: "Phone",
                table: "User");

            migrationBuilder.DropColumn(
                name: "PositionName",
                table: "User");

            migrationBuilder.DropColumn(
                name: "Sex",
                table: "User");

            migrationBuilder.DropColumn(
                name: "Status",
                table: "User");

            migrationBuilder.DropColumn(
                name: "SuperAdmin",
                table: "User");

            migrationBuilder.DropColumn(
                name: "UserCode",
                table: "User");

            migrationBuilder.DropColumn(
                name: "JoinTime",
                table: "TrialUser");

            migrationBuilder.DropColumn(
                name: "RemoveTime",
                table: "TrialUser");

            migrationBuilder.CreateTable(
                name: "SysFileType",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    ArchiveTypeEnum = table.Column<int>(type: "int", nullable: false, comment: "报告、文档、记录"),
                    Name = table.Column<string>(type: "nvarchar(400)", maxLength: 400, nullable: false),
                    NameCN = table.Column<string>(type: "nvarchar(400)", maxLength: 400, nullable: false),
                    IsConfirmRecord = table.Column<bool>(type: "bit", nullable: false, comment: "是否确认收入项"),
                    SubIdentification = table.Column<int>(type: "int", nullable: false, comment: "子类标识，是取那个表的数据"),
                    IsEnable = table.Column<bool>(type: "bit", nullable: false),
                    CreateUserId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    CreateTime = table.Column<DateTime>(type: "datetime2", nullable: false),
                    UpdateUserId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    UpdateTime = table.Column<DateTime>(type: "datetime2", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_SysFileType", x => x.Id);
                    table.ForeignKey(
                        name: "FK_SysFileType_User_CreateUserId",
                        column: x => x.CreateUserId,
                        principalTable: "User",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "后台 - 系统文件类型表");

            migrationBuilder.CreateTable(
                name: "TrialFile",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    TrialFileTypeId = table.Column<Guid>(type: "uniqueidentifier", nullable: false, comment: "关联项目文件类型"),
                    FileName = table.Column<string>(type: "nvarchar(400)", maxLength: 400, nullable: false),
                    FilePath = table.Column<string>(type: "nvarchar(1000)", maxLength: 1000, nullable: false),
                    FileSize = table.Column<string>(type: "nvarchar(400)", maxLength: 400, nullable: false),
                    FileFormat = table.Column<string>(type: "nvarchar(400)", maxLength: 400, nullable: false),
                    CreateUserId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    CreateTime = table.Column<DateTime>(type: "datetime2", nullable: false),
                    UpdateUserId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    UpdateTime = table.Column<DateTime>(type: "datetime2", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_TrialFile", x => x.Id);
                    table.ForeignKey(
                        name: "FK_TrialFile_User_CreateUserId",
                        column: x => x.CreateUserId,
                        principalTable: "User",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "项目文件 - 文件表");

            migrationBuilder.CreateTable(
                name: "TrialFileType",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    SysFileTypeId = table.Column<Guid>(type: "uniqueidentifier", nullable: true, comment: "关联系统文件类型"),
                    TrialId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    ArchiveTypeEnum = table.Column<int>(type: "int", nullable: false, comment: "报告、文档、记录"),
                    Name = table.Column<string>(type: "nvarchar(400)", maxLength: 400, nullable: false),
                    NameCN = table.Column<string>(type: "nvarchar(400)", maxLength: 400, nullable: false),
                    IsConfirmRecord = table.Column<bool>(type: "bit", nullable: false, comment: "是否确认收入项"),
                    FirstFinalDate = table.Column<DateOnly>(type: "date", nullable: false, comment: "首次定稿日期"),
                    IsSelfDefine = table.Column<bool>(type: "bit", nullable: false, comment: "是否自定义"),
                    SubIdentification = table.Column<int>(type: "int", nullable: false, comment: "子类标识，是取那个表的数据"),
                    IsEnable = table.Column<bool>(type: "bit", nullable: false),
                    CreateUserId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    CreateTime = table.Column<DateTime>(type: "datetime2", nullable: false),
                    UpdateUserId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    UpdateTime = table.Column<DateTime>(type: "datetime2", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_TrialFileType", x => x.Id);
                    table.ForeignKey(
                        name: "FK_TrialFileType_User_CreateUserId",
                        column: x => x.CreateUserId,
                        principalTable: "User",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "项目文件 - 文件类型表");

            migrationBuilder.CreateTable(
                name: "TrialFinalRecord",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    TrialId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    TrialFileTypeId = table.Column<Guid>(type: "uniqueidentifier", nullable: false, comment: "关联项目文件类型"),
                    Name = table.Column<string>(type: "nvarchar(400)", maxLength: 400, nullable: false),
                    Version = table.Column<string>(type: "nvarchar(400)", maxLength: 400, nullable: false),
                    State = table.Column<int>(type: "int", nullable: false),
                    IsAuthorizedView = table.Column<bool>(type: "bit", nullable: false, comment: "是否授权查看"),
                    PDFFileRecordId = table.Column<Guid>(type: "uniqueidentifier", nullable: false, comment: "定稿PDF"),
                    WordFileRecordId = table.Column<Guid>(type: "uniqueidentifier", nullable: false, comment: "定稿Word"),
                    SignFileRecordId = table.Column<Guid>(type: "uniqueidentifier", nullable: false, comment: "签名页"),
                    HistoryFileRecordId = table.Column<Guid>(type: "uniqueidentifier", nullable: false, comment: "历史记录"),
                    CreateUserId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    CreateTime = table.Column<DateTime>(type: "datetime2", nullable: false),
                    UpdateUserId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    UpdateTime = table.Column<DateTime>(type: "datetime2", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_TrialFinalRecord", x => x.Id);
                    table.ForeignKey(
                        name: "FK_TrialFinalRecord_User_CreateUserId",
                        column: x => x.CreateUserId,
                        principalTable: "User",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "项目文件 - 定稿记录表");

            migrationBuilder.CreateTable(
                name: "TrialNormalFileRecord",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    TrialId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    TrialFileTypeId = table.Column<Guid>(type: "uniqueidentifier", nullable: false, comment: "关联项目文件类型"),
                    ReviewerFileType = table.Column<int>(type: "int", nullable: true, comment: "文件类型，阅片人中使用"),
                    State = table.Column<int>(type: "int", nullable: false),
                    IsAuthorizedView = table.Column<bool>(type: "bit", nullable: false, comment: "是否授权查看"),
                    TrialFileRecordId = table.Column<Guid>(type: "uniqueidentifier", nullable: false, comment: "关联具体的文件记录，记录里面有大小，格式，名称"),
                    CreateUserId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    CreateTime = table.Column<DateTime>(type: "datetime2", nullable: false),
                    UpdateUserId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    UpdateTime = table.Column<DateTime>(type: "datetime2", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_TrialNormalFileRecord", x => x.Id);
                    table.ForeignKey(
                        name: "FK_TrialNormalFileRecord_User_CreateUserId",
                        column: x => x.CreateUserId,
                        principalTable: "User",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "项目文件 - 一般文件记录表");

            migrationBuilder.CreateTable(
                name: "TrialTrianingRecord",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    TrialId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    TrialFileTypeId = table.Column<Guid>(type: "uniqueidentifier", nullable: false, comment: "关联项目文件类型"),
                    TrianingDate = table.Column<DateOnly>(type: "date", nullable: false),
                    TrianingCount = table.Column<int>(type: "int", nullable: false),
                    TrianingState = table.Column<int>(type: "int", nullable: false, comment: "培训效果"),
                    State = table.Column<int>(type: "int", nullable: false),
                    IsAuthorizedView = table.Column<bool>(type: "bit", nullable: false, comment: "是否授权查看"),
                    TrialFileRecordId = table.Column<Guid>(type: "uniqueidentifier", nullable: false, comment: "关联具体的文件记录，记录里面有大小，格式，名称"),
                    Note = table.Column<string>(type: "nvarchar(400)", maxLength: 400, nullable: false),
                    CreateUserId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    CreateTime = table.Column<DateTime>(type: "datetime2", nullable: false),
                    UpdateUserId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    UpdateTime = table.Column<DateTime>(type: "datetime2", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_TrialTrianingRecord", x => x.Id);
                    table.ForeignKey(
                        name: "FK_TrialTrianingRecord_User_CreateUserId",
                        column: x => x.CreateUserId,
                        principalTable: "User",
                        principalColumn: "Id",
                        onDelete: ReferentialAction.Cascade);
                },
                comment: "项目文件 - 培训记录表");

            migrationBuilder.CreateIndex(
                name: "IX_SysFileType_CreateUserId",
                table: "SysFileType",
                column: "CreateUserId");

            migrationBuilder.CreateIndex(
                name: "IX_TrialFile_CreateUserId",
                table: "TrialFile",
                column: "CreateUserId");

            migrationBuilder.CreateIndex(
                name: "IX_TrialFileType_CreateUserId",
                table: "TrialFileType",
                column: "CreateUserId");

            migrationBuilder.CreateIndex(
                name: "IX_TrialFinalRecord_CreateUserId",
                table: "TrialFinalRecord",
                column: "CreateUserId");

            migrationBuilder.CreateIndex(
                name: "IX_TrialNormalFileRecord_CreateUserId",
                table: "TrialNormalFileRecord",
                column: "CreateUserId");

            migrationBuilder.CreateIndex(
                name: "IX_TrialTrianingRecord_CreateUserId",
                table: "TrialTrianingRecord",
                column: "CreateUserId");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "SysFileType");

            migrationBuilder.DropTable(
                name: "TrialFile");

            migrationBuilder.DropTable(
                name: "TrialFileType");

            migrationBuilder.DropTable(
                name: "TrialFinalRecord");

            migrationBuilder.DropTable(
                name: "TrialNormalFileRecord");

            migrationBuilder.DropTable(
                name: "TrialTrianingRecord");

            migrationBuilder.AddColumn<int>(
                name: "Code",
                table: "User",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<string>(
                name: "DepartmentName",
                table: "User",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "EmailToken",
                table: "User",
                type: "nvarchar(1000)",
                maxLength: 1000,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<bool>(
                name: "IsFirstAdd",
                table: "User",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "首次登录需要修改密码");

            migrationBuilder.AddColumn<bool>(
                name: "IsTestUser",
                table: "User",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<bool>(
                name: "IsZhiZhun",
                table: "User",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "内部用户  外部用户");

            migrationBuilder.AddColumn<DateTime>(
                name: "LastChangePassWordTime",
                table: "User",
                type: "datetime2",
                nullable: true,
                comment: "上一次修改密码的时间");

            migrationBuilder.AddColumn<string>(
                name: "LastLoginIP",
                table: "User",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<DateTime>(
                name: "LastLoginTime",
                table: "User",
                type: "datetime2",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "OrganizationName",
                table: "User",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "Password",
                table: "User",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<bool>(
                name: "PasswordChanged",
                table: "User",
                type: "bit",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<string>(
                name: "Phone",
                table: "User",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<string>(
                name: "PositionName",
                table: "User",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<int>(
                name: "Sex",
                table: "User",
                type: "int",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "Status",
                table: "User",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<bool>(
                name: "SuperAdmin",
                table: "User",
                type: "bit",
                nullable: false,
                defaultValue: false,
                comment: "后续删除");

            migrationBuilder.AddColumn<string>(
                name: "UserCode",
                table: "User",
                type: "nvarchar(400)",
                maxLength: 400,
                nullable: false,
                defaultValue: "");

            migrationBuilder.AddColumn<DateTime>(
                name: "JoinTime",
                table: "TrialUser",
                type: "datetime2",
                nullable: true);

            migrationBuilder.AddColumn<DateTime>(
                name: "RemoveTime",
                table: "TrialUser",
                type: "datetime2",
                nullable: true);
        }
    }
}
