﻿using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class trialdocRecordReName : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_TrialNormalFileRecord_User_CreateUserId",
                table: "TrialNormalFileRecord");

            migrationBuilder.DropPrimaryKey(
                name: "PK_TrialNormalFileRecord",
                table: "TrialNormalFileRecord");

            migrationBuilder.RenameTable(
                name: "TrialNormalFileRecord",
                newName: "TrialNormalRecord");

            migrationBuilder.RenameIndex(
                name: "IX_TrialNormalFileRecord_CreateUserId",
                table: "TrialNormalRecord",
                newName: "IX_TrialNormalRecord_CreateUserId");

            migrationBuilder.AddPrimaryKey(
                name: "PK_TrialNormalRecord",
                table: "TrialNormalRecord",
                column: "Id");

            migrationBuilder.AddForeignKey(
                name: "FK_TrialNormalRecord_User_CreateUserId",
                table: "TrialNormalRecord",
                column: "CreateUserId",
                principalTable: "User",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_TrialNormalRecord_User_CreateUserId",
                table: "TrialNormalRecord");

            migrationBuilder.DropPrimaryKey(
                name: "PK_TrialNormalRecord",
                table: "TrialNormalRecord");

            migrationBuilder.RenameTable(
                name: "TrialNormalRecord",
                newName: "TrialNormalFileRecord");

            migrationBuilder.RenameIndex(
                name: "IX_TrialNormalRecord_CreateUserId",
                table: "TrialNormalFileRecord",
                newName: "IX_TrialNormalFileRecord_CreateUserId");

            migrationBuilder.AddPrimaryKey(
                name: "PK_TrialNormalFileRecord",
                table: "TrialNormalFileRecord",
                column: "Id");

            migrationBuilder.AddForeignKey(
                name: "FK_TrialNormalFileRecord_User_CreateUserId",
                table: "TrialNormalFileRecord",
                column: "CreateUserId",
                principalTable: "User",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);
        }
    }
}
