﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Infra.EFCore.Migrations
{
    /// <inheritdoc />
    public partial class AddUserCreatSouce : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<Guid>(
                name: "TrialId",
                table: "IdentityUser",
                type: "uniqueidentifier",
                nullable: true);

            migrationBuilder.AddColumn<int>(
                name: "UserCeateSource",
                table: "IdentityUser",
                type: "int",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.CreateIndex(
                name: "IX_IdentityUser_TrialId",
                table: "IdentityUser",
                column: "TrialId");

            migrationBuilder.AddForeignKey(
                name: "FK_IdentityUser_Trial_TrialId",
                table: "IdentityUser",
                column: "TrialId",
                principalTable: "Trial",
                principalColumn: "Id");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_IdentityUser_Trial_TrialId",
                table: "IdentityUser");

            migrationBuilder.DropIndex(
                name: "IX_IdentityUser_TrialId",
                table: "IdentityUser");

            migrationBuilder.DropColumn(
                name: "TrialId",
                table: "IdentityUser");

            migrationBuilder.DropColumn(
                name: "UserCeateSource",
                table: "IdentityUser");
        }
    }
}
